@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@600&display=swap");

* {
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  background-color: rgb(233, 235, 90);
  color: rgb(63, 63, 63);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px;
  min-height: 100vh;
}

p {
  margin: 5px 0;
}

h4 {
  margin: 0 0 12px;
  text-align: center;
}

input[type="checkbox"] {
  margin-right: 0;
}

input[type="number"] {
  background-color: rgba(0, 0, 0, 0.2);
  color: rgba(61, 61, 61, 0.9);
  margin-left: 10px;
  width: 20%;
  border-radius: 7px;
  border-style: none;
  padding-left: 4px;
}

.container {
  background-color: rgba(255, 252, 57, 0.801);
  box-shadow: 0px 2px 10px rgba(36, 36, 36, 0.2);
  padding: 20px;
  width: 230px;
  max-width: 100%;
  border-radius: 10px;
}

.result-container {
  background-color: rgba(0, 0, 0, 0.2);
  display: flex;
  justify-content: flex-start;
  align-items: center;
  position: relative;
  border-radius: 7px;
  font-size: 16px;
  letter-spacing: 1px;
  padding: 10px 8px;
  height: 30px;
  width: 100%;
}

.result-container #result {
  word-wrap: break-word;
  max-width: calc(100% - 40px);
  font-size: 8px;
}

.result-container .btn {
  background-color: transparent;
  font-size: 16px;
  position: absolute;
  top: 1px;
  right: 2px;
  height: 25px;
  width: 27px;
}

.btn {
  background-color: rgba(0, 0, 0, 0.2);
  color: rgba(61, 61, 61, 0.9);
  border: none;
  border-radius: 7px;
  font-size: 14px;
  cursor: pointer;
}

.btn-small {
  display: block;
  width: 50%;
  margin: 15px 0 0 50px;
  padding: 3px 10px;
}

.setting {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 10px 0;
  font-size: 12px;
}

@media screen and (max-width: 400px) {
  .result-container {
    font-size: 10px;
  }
}
